Zigzag Cleaner - quick access to your desktop

Zigzag Cleaner

Thank you for using Zigzag Cleaner - an easy-to-use program that lets you clear your desktop with just one mouse move.

Here's a usual situation. You need to hide your open windows, quickly. The desktop is filled with them. The toolbar is hidden. You can only remember - Ctrl + Alt + Del. You panic. What do you do?

Just make a quick "Z" with your mouse. and Zigzag Cleaner will hide all or just selected windows chosen by you. To restore, just draw another zigzag from the bottom to the top this time. Easy? You bet! This program will speed up your work considerably. If you need quick access to your desktop, this is quicker than a tray icon or hotkey-based application.

With Zigzag Cleaner you need not to click and hold down the mouse button then draw the mouse gesture. Simple move your mouse anywhere on screen. The program traces the mouse movement. Several symbols are then instantly recognized.

Additionally, the program collects mouse usage statistics. Only for the curious. UNIPHIZ Lab develops software for curious people.

Zigzag Cleaner Plus allows you to configure a command with the symbol you want.


Zigzag Cleaner Plus

Zigzag Cleaner Plus allows you to configure the command with the symbol you want. Try several symbols and see which ones suit you best. Each symbol can be programmed to any one of the commands.

This allows you to select an easy and fast method to hide open windows and so much more.

Getting started ...


Contact Author

Contacting Author

UNIPHIZ Lab develops software for curious people.

Please visit our home page at:

http://www.uniphiz.com/zcleaner.htm

You can download the current version and find out more about the program.

If you would like to report bugs, grammar mistake, or give your opinion about the program please send your email to Sergey Vasilyev at:

serg@uniphiz.com

Any comments are welcome.


System Requirements

  • x86-based personal computer;
  • A mouse;
  • No less than 16 MB RAM;
  • 1 MB hard disk space;
  • Microsoft Windows 95/98/ME/NT4/2000/XP;
  • Internet Explorer 4 or later.


Register It

Zigzag Cleaner Plus is shareware software. It costs $15.00(US), and upgrades are free.

Why register

  • Ability to use the program without any limitations after the 15-day evaluation period.
  • All features are possible. Unregistered program allows use of up to two symbols.
  • Free software support for life via e-mail.
  • Free upgrades. You will get all the future versions free of charge.
  • By registering you provide the resources to support the software with enhancements and updates.

How to purchase

To order the program, click a 'Buy now' link and fill in an order form with 3 steps. You will receive registration details immediately to your mail box.

Buy now

NOTE: Registration code will be sent via e-mail. It is essential that you provide an accurate e-mail address. Your e-mail address is confidential and will never be provided to a third party.

After registration

After registration you will get your registration code via email. To enter registration code, click right button on the tray icon and select <Register...> menu. The register menu box will display. Input your registration code. The best way not to make a mistake entering this data is to use copy and paste. Once your registration number is imputed, click the 'Ok' button.

Information for customers

There are several convenient ways to purchase Digital Physiognomy:

  • Purchase on the Internet: We have partnered with RegNow to provide secure Internet credit card purchases (Visa, MasterCard, American Express, and Discover accepted). To use this option, point your browser to the following URL and follow instructions onscreen:

    https://www.regnow.com/softsell/nph-softsell.cgi?item=7266-4

  • Purchase by Telephone, Fax, or Postal Mail: If you're a little concerned about using a credit card over the Internet, we can also accept credit card purchases by telephone or fax, or checks or money orders (in US funds, drawn on a US bank). To place your order, use the Internet purchase links above, but select the Fax, Postal Mail, or Phone options near the top of the form. The web site will then give you the additional information you need, such as telephone or fax numbers or mailing address.

You can contact RegNow support team:

Phone:
Toll Free: 877-353-7297
Regular: 425-392-2294

Fax:
Toll Free: 888-353-7276
Regular: 425-392-0223

PO Box 1816 Issaquah, WA 98027 United States of America


How to hide windows

Just start in the upper left corner and make a quick "Z" with your mouse.

(1 - 2 - 3 - 4).

Don't click the left or right mouse button.
The Z symbol will appear and open windows will be minimized.

The program recognizes Z symbol in process of mouse movement. In options dialog you can assign recognition parameters. To prevent occasional zigzag recognitions, set the 'maximum time of drawing' to the lowest setting comfortable for you.

To enable/disable the zigzag recognitions, double click on the tray icon [image].

Of course you can easy restore open windows.


Zigzag recognitions. How to configure the command .

How to restore windows

Just start in the lower right corner and make another quick "Z" with your mouse.

(1 - 2 - 3 - 4).

Don't click the left or right mouse button.
The Z symbol will not appear, but all minimized windows will be restored to their initial sizes

The program recognizes the 'Z' symbol being made with the mouse. You must however move the mouse quickly enough for the shape to be recognized. In the options menu you can assign and change recognition parameters.

Of course you may restore the windows by using hotkeys:

Ctrl + Alt + Home

Or right click on the tray icon [image], call popup menu and select 'Restore all' item.

Zigzag Cleaner Plus allows you to configure the command with the symbol you want.


Zigzag Cleaner - symbols and commands

How to configure various commands

Each symbol on the Zigzag Cleaner Plus panel can be programmed to any one of the commands.

Follow these steps to assign the command 'Open CD' to symbol 'O'.

  1. Right click on the tray icon [image] and select 'Symbols ...' menu.
  2. The menu 'Customize symbols' will appear.
  3. Find symbol [image] and left click on box beside 'Open CD'.
  4. The button <Edit> will be enabled. Push the button.
  5. The menu 'Symbols and commands' will appear.
  6. The command 'Open CD' should be highlighted. If not, do so now.
  7. Assign CD-ROM drive you want.
  8. Ok.
  9. Use <Apply> button and test action.


Options

To activate 'options dialog', right click on tray icon [image] and select 'Options ...' menu. The options menu will appear.

Select <Draw> menu to set recognition parameters:

  • The more width and height you select, the more zigzag you must draw, however it will stop accidental zigzag recognitions.
  • The less time you select, the more quickly you must to draw the zigzag.

On <Action> page you can change assigned symbol to recognize various actions.

  • It is possible to hide, minimize, and resize windows by simply drawing the Z.
  • Select 'Act all windows', to hide all with just one zigzag.
  • Select 'Act only windows in Z area', to hide only windows under your zigzag action.

Use the <Apply> button and test action.

On <Misc> page you can select:

  • program interface language;
  • 'Run at startup' to run Zigzag Cleaner at WINDOWS startup;
  • 'Mouse usage statistics' to calculate left button clicks and show statistics window;
  • 'UNIPHIZ Lab' to present new software. UNIPHIZ Lab develops software for curious people.


Zigzag Cleaner symbols

Zigzag Cleaner Plus traces the mouse movement. Several symbols are then instantly recognized. Don't click the left or right mouse button. You can configure various commands with symbols you select.

Start in the upper left corner and make a quick 'Z'.
Start in the lower right corner and make a quick 'Z'.
Make a quick 'O'. Start in the top and make a circle clockwise.
Make a quick 'C'. Start in the top and make a 'C' from top to bottom.
Make a quick 'N'. Begin from the lower left corner and make an 'N'.
Start in the upper right corner and make a quick 'S'.
Move a mouse pointer to the left border of a screen and return it back quickly.
Move a mouse pointer to the right border of a screen and return it back quickly.
Make a quick straight line to the top border of a screen and return it back.
Make a quick straight line to the bottom border of a screen and return it back.

Try several symbols and see which one you like better. See how to configure the command with the symbol you want.


Zigzag Cleaner commands

No action
Minimize windows
Hide windows
Windows to captions
Set the transparency
Maximize windows
Tile horizontally
Tile vertically
Disable windows
This commands will affect all windows, affect all windows inside 'Z' areas or can affect only one active window.

Set the transparency 		This command will do windows partially translucent. Requires Windows 2000 or XP. Assign transparency value, used to describe the opacity of the window in limits 0...255. When value is 0, the window is completely transparent. When value is 255, the window is opaque.
Restore windows
This command will restore all windows to their initial sizes.
Move windows to left
Move windows to right
Move windows to top
Move windows to bottom
This command will act all windows or can affect only one active window.
Copy to Clipboard
Paste
This command will insert the Clipboard contents at the mouse or keyboard cursor point. It is possible to repeat 'paste' command several times. If this command will affect the window that contains the mouse cursor it will set focus at the mouse cursor point.
Scroll Up (to top)
Scroll Down (to bottom)
This command will affect the window that has the keyboard focus or this command will affect the window that contains the mouse cursor at the mouse cursor point. You don't lose your keyboard focus.
Start screen saver
It is possible to disable all keyboard and mouse input. Don't forget to assign symbol to 'Restore All' command. Or use Ctrl+Alt+Space to enable input.
Open CD
Close CD
You can assign any CD-ROM drive you want.
Explore Desktop | This command will run the Explorer.
Open 'Find files' | This command will open the 'Find files' dialog.
Open folder | This command will open the folder you specified.
Open folder 'History'
This command will open folder 'Programs'
Open folder 'Recent'
Run application
This command will run the application you specified. You can easily add other applications by selecting it in your desktop and dragging it into the dialog window.
Send hotkey
Send special keys
This command will affect the window that has the keyboard focus. If this command will affect the window that contains the mouse cursor it will set focus at the mouse cursor point. It is possible to repeat 'keys' command several times.
To do this: | Special keys
Switch between open programs. | Alt+Tab
Switch between open programs. | Alt+Esc
Undo the last action. | Alt+Back
View properties. | Alt+Enter
Open Start menu. | Ctrl+Esc
Open Start menu. | Left+Win
Copy screen image to Clipboard. | PrtScr
Popup menu. | Applications
Insert :-) at the mouse cursor point. | Smile

This commands will affect the window that has the keyboard focus. If the command will affect the window that contains the mouse cursor it will set focus at the mouse cursor point.
IE, Open new window
This command will open a new window of Internet Explorer.
IE, Go to previous page
This command will go Internet Explorer to the previous page.
IE, Go to next page
This command will go Internet Explorer to the next page.
Reverse left and right
This command will reverse the meaning of the left and right mouse buttons.
Restore left and right
This command will restore the meaning of the left and right mouse buttons.
Customize symbols
This command will run Zigzag Cleaner 'Customize symbols' Dialog.

Possible commands are listed in 'Symbols and commands' in the help menu. To activate this help menu, right click on the mouse while on the ZIGZAG CLEANER tray icon and select 'Symbols ...'. The menu 'Customize symbols' will appear. Push any button <Edit>. The menu for 'Symbols and commands' will appear.

See example for how to configure.


Keyboard shortcuts

Ctrl + Alt + Z |
Ctrl + Alt + O |
Ctrl + Alt + C |
Ctrl + Alt + N |
Ctrl + Alt + S |
Ctrl + Alt + Home | Restore all
Ctrl + Alt + Space | Run 'Customize Symbols' dialog

See symbols.


Zigzag Cleaner. Mouse usage statistics.

Mouse usage statistics

Zigzag Cleaner records the mouse movement and left button clicks. To view these recorded statistics right click on the tray icon [image] and select 'Statistics ...'menu. The mouse usage statistics window will appear. It will satisfy your curiosity knowing what the mouse did all day.

Pay attention, that it is not static picture. We recalculate point density distributions dynamically. See program FindGraph for details.


Credits

Hebrew translation: Guy Sender
Ukrainian translation: Zenoviy Demianchuk
Magyar translation: Birner Zolt¡n
Russian translation: Uncle KILLER
Nederlands translation: Greyson Bram
Polishing help files: Antonio Giovanni


UNIPHIZ Lab software

Our products

You can read all the latest information about our products at http://www.uniphiz.com/

AMarker (http://www.uniphiz.com/amarker.htm)

Launch applications and protect desktop AMarker allows you to create a really cool program launcher, instead of using boring icons. With AMarker your children can use your computer and you won't have to worry whether they'll delete, modify, or view important files. The program allows you to prohibit the start of any program.

FindGraph (http://www.uniphiz.com/findgraph.htm)

Digitize, analyse and plot graphs. FindGraph is comprehensive, feature-rich graph editor, as well as a curve fitting and digitizing tool for engineers, scientists and graduate students. Convert plots back to X, Y data from any published report for later processing and manipulations.

Zigzag Cleaner Plus ( http://www.uniphiz.com/zcleaner.htm)

This lets you clear the desktop with one mouse move. This program is a fast way to hide open windows. It is an easy-to-use utility that lets you clear the desktop with just one movement of the mouse. Just make a quick "Z" with your mouse and Zigzag Cleaner will hide all open windows. If you need quick access to your desktop, Zigzag Cleaner is quicker than a tray icon or hotkey based application. You can configure various commands with assorted symbols you want.

Digital Physiognomy ( http://www.uniphiz.com/physiognomy.htm)

Digital Physiognomy. Looking for a software both entertaining and enlightening? Digital Physiognomy reads person's face and tells you about the secret character traits of the individual. Don't trust it? Download the free evaluation version and try your own face.


Help me to translate

Zigzag Cleaner is a multilingual software.

It supports English, Hebrew and Russian languages now. If you can help us to implement the support to another language, please
drop a line to serg@uniphiz.com .
Just don't send us your language file prior to contacting us, as such version might be already under development.


BMT Micro Printable Order Form
Click to Print This Page
**Please see the bottom of this form for important information**
Please use the Print button in your browser to print this form. Fill out the printed form, and then send or fax it with your payment to: Voice Orders: 9:00 am - 5:30 pm EST (-5 GMT)

(800) 414-4268 (orders only)
(910) 792-9100

         BMT Micro
PO Box 15016
Wilmington
NC 28408
Fax: 910-792-1889

Name (Please Print)
Address
City | State / Province
Zip / Postal Code | Country
Phone #
Fax #
E-Mail Address
Alternate E-Mail
Item Description | Price Each | Quantity | Price
Zigzag Cleaner Plus | $15 |  |
Shipping Cost (See below for options)** |  |  |
North Carolina Residents please add 6.5% sales tax |  |  |
Total Amount Enclosed |  |  |
Payment Method (circle): CASH / CHECK / MONEY ORDER / DEUTSCHE BANK
VISA / MC / DISCOVER / AMERICAN EXPRESS
DINERS CLUB / CARTE BLANCHE / JBC / EUROCARD
** Please make check or money order payable to "BMT Micro"
** All checks or money orders in US Funds only
Please add the following information for credit card orders:

Card# _________________________________ Exp. Date: ____ / ____

EXACT Name on Card: _________________________________________

Signature ____________________________________________________
**Shipping Options:
(not available for all products, contact BMT Micro for availability)
---------------------------------

2-3 Day Priority, USA Only ................ $ 6.00 US
Global Priority, NON-USA Only.............. $ 12.00 US
Airborne Overnight USA Only ............... $ 19.00 US

 Important Ordering Information

Ordering and general ordering questions:
Via Email: bmt@bmtmicro.com

We accept Visa, Mastercard, Discover, American Express, Diners
Club, Carte Blanche, Cashiers Check, Personal Check. Personal
checks are subject to clearance. Euros, Sterling, and US Currency
is welcome but please send by registered mail, return receipt requested.
We cannot be liable for lost cash sent through the mail

If you reside in a country with an unconvertible currency please
contact us for alternatives.

Purchase orders are welcome, subject to approval. The minimum
amount is $250.00 US.

ORDERING FROM INSIDE EUROPE ONLY
=================================

Persons in Europe wishing to order shareware may also transfer funds
into our account with Deutsche Bank. Once the money is deposited you
may either fax a confirmation to us with proof of deposit or wait until
Deutsche Bank notifies us of the transaction (usually 10-18 business days).
Account information is as follows:

Deutsche Bank / Frankfurt Branch
Empfänger: Thomas Bradford
Konto-Nummer: 0860221
Bankleitzahl: 500-700-10

When you make the transfer, be sure to put your name and the program you
are registering on the transfer.

It is very important that you send us a completed order form by
either email or fax if you deposit money into this account for a
registration. Fill the order form out as usual except in the credit
card number field put "DEUTSCHE BANK". We will file the order and
use it to match against the deposit information we receive from the
bank.

IMPORTANT!
----------
When you fax or mail us your order form, we will reply to the email address
above with an acknowledgement. If you do not get an acknowledgement
within 7-10 business days for mail orders, please send your order
again in case it was lost.This extra bit of caution can save a lot of confusion.

If you are concerned that your order is taking too long to process, feel
free to check with us about the status of your order. It's important
to all of us that you feel safe doing business with our company and
please feel free to suggest ways we can improve our service to you.